OpenNMS API 1.2.9

## org.opennms.netmgt
Class EventConstants

    java.lang.Object
      org.opennms.netmgt.EventConstants

public class EventConstants
extends java.lang.Object

This class holds all OpenNMS events related constants - the UEI's, parm names, the event time format etc.

Author:
  OpenNMS

Field Summary
`static java.lang.String` `ADD_INTERFACE_EVENT_UEI` The add interface event UEI
`static java.lang.String` `ADD_NODE_EVENT_UEI` The add node event UEI
`static java.lang.String` `ASSET_INFO_CHANGED_EVENT_UEI` An event to signal that a user has changed asset information via the web UI
`static java.lang.String` `CHANGE_SERVICE_EVENT_UEI` The change service event UEI
`static java.lang.String` `CONFIGURE_SNMP_EVENT_UEI` The configure SNMP event.
`static java.lang.String` `CONTROL_ERROR_EVENT_UEI` The control error reponse event
`static java.lang.String` `CONTROL_PAUSE_PENDING_EVENT_UEI` The 'pause pending' response event
`static java.lang.String` `CONTROL_PAUSED_EVENT_UEI` The 'paused' response event
`static java.lang.String` `CONTROL_RESUME_PENDING_EVENT_UEI` The 'resume pending' response event
`static java.lang.String` `CONTROL_RUNNING_EVENT_UEI` The 'running' response event
`static java.lang.String` `CONTROL_START_PENDING_EVENT_UEI` The 'start pending' response event
`static java.lang.String` `CONTROL_STARTING_EVENT_UEI` The 'starting' response event
`static java.lang.String` `CONTROL_STOP_PENDING_EVENT_UEI` The 'stop pending' response event
`static java.lang.String` `CONTROL_STOPPED_EVENT_UEI` The 'stopped' response event
`static java.lang.String` `DATA_COLLECTION_FAILED_EVENT_UEI` Collection failed
`static java.lang.String` `DATA_COLLECTION_SUCCEEDED_EVENT_UEI` Collection succeeded
`static java.lang.String` `DELETE_INTERFACE_EVENT_UEI` The delete interface event UEI
`static java.lang.String` `DELETE_NODE_EVENT_UEI` The delete node event UEI
`static java.lang.String` `DELETE_SERVICE_EVENT_UEI` The delete service event UEI
`static java.lang.String` `DISC_PAUSE_EVENT_UEI` The discovery pause event UEI
`static java.lang.String` `DISC_RESUME_EVENT_UEI` The discovery resume event UEI
`static java.lang.String` `DUP_NODE_DELETED_EVENT_UEI` The node deleted event UEI
`static java.lang.String` `DUPLICATE_IPINTERFACE_EVENT_UEI` A service scan has discovered a duplicate IP address.
`static java.lang.String` `FORCE_RESCAN_EVENT_UEI` The force interface rescan event UEI
`static java.lang.String` `HIGH_THRESHOLD_EVENT_UEI` The high threshold exceeded event UEI
`static java.lang.String` `HIGH_THRESHOLD_REARM_EVENT_UEI` The high threshold rearm event UEI
`static java.lang.String` `INTERFACE_DELETED_EVENT_UEI` The interface deleted event UEI
`static java.lang.String` `INTERFACE_DOWN_EVENT_UEI` The interface down event UEI
`static java.lang.String` `INTERFACE_INDEX_CHANGED_EVENT_UEI` The interface index changed event
`static java.lang.String` `INTERFACE_IP_HOSTNAME_CHANGED_EVENT_UEI` The interface IP host name changed event
`static java.lang.String` `INTERFACE_REPARENTED_EVENT_UEI` The interface reparented event
`static java.lang.String` `INTERFACE_SUPPORTS_SNMP_EVENT_UEI` The interface supports SNMP event...generated during capability rescan when an already managed interface gains SNMP support for the first time
`static java.lang.String` `INTERFACE_UP_EVENT_UEI` The interface up event UEI
`static java.lang.String` `JMS_MSG_PROP_CHAR_ENCODING` The string property set on JMS messages to indicate the encoding to be used
`static java.lang.String` `JMS_MSG_PROP_CHAR_ENCODING_VALUE` The value for the string property set on JMS messages to indicate the encoding to be used
`static java.lang.String` `JMS_MSG_PROP_SENDER` The string property set on JMS messages to indicate the sender service
`static java.lang.String` `JMS_MSG_PROP_UEI_SELECTOR` The string property set on JMS messages broadcast from eventd - to use UEI(s) as a filter
`static java.lang.String` `LOW_THRESHOLD_EVENT_UEI` The low threshold exceeded event UEI
`static java.lang.String` `LOW_THRESHOLD_REARM_EVENT_UEI` The low threshold rearm event UEI
`static java.lang.String` `NEW_SUSPECT_INTERFACE_EVENT_UEI` The new suspect event UEI
`static java.lang.String` `NODE_ADDED_EVENT_UEI` The node added event UEI
`static java.lang.String` `NODE_DELETED_EVENT_UEI` The node deleted event UEI
`static java.lang.String` `NODE_DOWN_EVENT_UEI` The node down event UEI
`static java.lang.String` `NODE_GAINED_INTERFACE_EVENT_UEI` The node gained interface event UEI
`static java.lang.String` `NODE_GAINED_SERVICE_EVENT_UEI` The node gained service event UEI
`static java.lang.String` `NODE_INFO_CHANGED_EVENT_UEI` The node info changed event
`static java.lang.String` `NODE_LABEL_CHANGED_EVENT_UEI` The node label changed event
`static java.lang.String` `NODE_LABEL_SOURCE_CHANGED_EVENT_UEI` The node label source changed event
`static java.lang.String` `NODE_LOST_SERVICE_EVENT_UEI` The node lost service event UEI
`static java.lang.String` `NODE_REGAINED_SERVICE_EVENT_UEI` The node regained service event UEI
`static java.lang.String` `NODE_UP_EVENT_UEI` The node up event UEI
`static java.lang.String` `NOTIFICATION_WITHOUT_USERS` Notification without users event
`static java.lang.String` `PARM_ACTION` The action sent as a parm of an event
`static java.lang.String` `PARM_CAT_LABEL` The category for which information is to be sent, sent as a parm to the rtc subscribe event
`static java.lang.String` `PARM_COMMUNITY_STRING` The SNMP community string when sent as an event parm.
`static java.lang.String` `PARM_DPNAME` The DPName sent as a parm of an event
`static java.lang.String` `PARM_FIRST_IP_ADDRESS` The first IP address in a range of IP addresses when sent as an event parm.
`static java.lang.String` `PARM_INTERFACE` The interface sent as a parm of an event
`static java.lang.String` `PARM_IP_HOSTNAME` The ipHostName from the ipinterface table when sent as an event parm
`static java.lang.String` `PARM_LAST_IP_ADDRESS` The last IP address in a range of IP addresses when sent as an event parm.
`static java.lang.String` `PARM_METHOD` Name of the method of discovery when sent as an event parm
`static java.lang.String` `PARM_NEW_IFINDEX` The new ifIndex value sent as a parm of the 'interfaceIndexChanged' event
`static java.lang.String` `PARM_NEW_NODE_LABEL` The newNodeLabel sent as a parm of an event
`static java.lang.String` `PARM_NEW_NODE_LABEL_SOURCE` The newNodeLabelSource sent as a parm of an event
`static java.lang.String` `PARM_NEW_NODEID` The new nodeid sent as a parm of the 'interfaceReparented' event
`static java.lang.String` `PARM_NEW_PRIMARY_SNMP_ADDRESS` The new value of the primarySnmpInterface field of the ipInterface table when sent as an event parm.
`static java.lang.String` `PARM_NODE_DOMAIN_NAME` The nodeDomainName field from the node table when sent as an event parm
`static java.lang.String` `PARM_NODE_LABEL` The nodeLabel from the node table when sent as an event parm
`static java.lang.String` `PARM_NODE_LABEL_SOURCE` The nodeLabelSource from the node table when sent as an event parm
`static java.lang.String` `PARM_NODE_NETBIOS_NAME` The nodeNetbiosName field from the node table when sent as an event parm
`static java.lang.String` `PARM_NODE_OPERATING_SYSTEM` The operatingSystem field from the node table when sent as an event parm
`static java.lang.String` `PARM_NODE_SYSCONTACT` The nodeSysContact from the node table when sent as an event parm
`static java.lang.String` `PARM_NODE_SYSDESCRIPTION` The nodeSysDescription from the node table when sent as an event parm
`static java.lang.String` `PARM_NODE_SYSLOCATION` The nodeSysLocation from the node table when sent as an event parm
`static java.lang.String` `PARM_NODE_SYSNAME` The nodeSysName from the node table when sent as an event parm
`static java.lang.String` `PARM_NODE_SYSOID` The nodeSysOid from the node table when sent as an event parm
`static java.lang.String` `PARM_OLD_IFINDEX` The old ifIndex value sent as a parm of the 'interfaceIndexChanged' event
`static java.lang.String` `PARM_OLD_IP_HOSTNAME` The original ipHostName from the ipinterface table when sent as an event parm
`static java.lang.String` `PARM_OLD_NODE_LABEL` The oldNodeLabel sent as a parm of an event
`static java.lang.String` `PARM_OLD_NODE_LABEL_SOURCE` The oldNodeLabelSource sent as a parm of an event
`static java.lang.String` `PARM_OLD_NODEID` The old nodeid sent as a parm of the 'interfaceReparented' event
`static java.lang.String` `PARM_OLD_PRIMARY_SNMP_ADDRESS` The old value of the primarySnmpInterface field of the ipInterface table when sent as an event parm.
`static java.lang.String` `PARM_PASSWD` The passwd when sent as a parameter(like for the rtc subscribe)
`static java.lang.String` `PARM_PORT`
`static java.lang.String` `PARM_QUALIFIER` Service monitor qualifier when sent as an event parm
`static java.lang.String` `PARM_RETRY_COUNT`
`static java.lang.String` `PARM_SERVICE_STATUS` The status of a service as returned from a service monitor
`static java.lang.String` `PARM_SOURCE_EVENT_MESSAGE` The message to explain a source event.
`static java.lang.String` `PARM_SOURCE_EVENT_STATUS` The status to indicate which kind of external xmlrpc command to invoke.
`static java.lang.String` `PARM_SOURCE_EVENT_UEI` The uei of a source event to report to external xmlrpc server.
`static java.lang.String` `PARM_TIMEOUT`
`static java.lang.String` `PARM_TRANSACTION_NO` The external transaction number of an event to process.
`static java.lang.String` `PARM_URL` The URL to which information is to be sent, sent as a parm to the rtc subscribe and unsubscribe events
`static java.lang.String` `PARM_USER` The username when sent as a parameter(like for the rtc subscribe)
`static java.lang.String` `PARM_VERSION`
`static java.lang.String` `PAUSE_CONTROL_EVENT_UEI` The pause event
`static java.lang.String` `POSTGRES_DATE_FORMAT` The date format string to parse a Date.toString() type string to a database timestamp using the postgres to_timestamp() built-in function.
`static java.lang.String` `PRIMARY_SNMP_INTERFACE_CHANGED_EVENT_UEI` The primary SNMP interface changed event.
`static java.lang.String` `REINITIALIZE_PRIMARY_SNMP_INTERFACE_EVENT_UEI` The reinitialize primary SNMP interface event.
`static java.lang.String` `RESTART_POLLING_INTERFACE_EVENT_UEI` The restart polling node event UEI
`static java.lang.String` `RESUME_CONTROL_EVENT_UEI` The resume event
`static java.lang.String` `RESUME_POLLING_SERVICE_EVENT_UEI` The resume polling service event UEI
`static java.lang.String` `RTC_SUBSCRIBE_EVENT_UEI` The RTC subscribe event
`static java.lang.String` `RTC_UNSUBSCRIBE_EVENT_UEI` The RTC unsubscribe event
`static java.lang.String` `SCHEDOUTAGES_CHANGED_EVENT_UEI` The scheduled-outages configuration was changed by the user via the web UI (or manually, for that matter)
`static java.lang.String` `SERVICE_DELETED_EVENT_UEI` The service deleted event UEI
`static java.lang.String` `SERVICE_RESPONSIVE_EVENT_UEI` The service responsive event UEI
`static java.lang.String` `SERVICE_STATUS_UNKNOWN` A service poll returned an unknown status (due to a problem getting poll information)
`static java.lang.String` `SERVICE_UNMANAGED_EVENT_UEI` The service unmanaged event UEI
`static java.lang.String` `SERVICE_UNRESPONSIVE_EVENT_UEI` The service unresponsive event UEI
`static java.lang.String` `SNMP_CONFLICTS_WITH_DB_EVENT_UEI` The snmp conflicts with db UEI
`static java.lang.String` `SPECIFIC_VULN_SCAN_EVENT_UEI` A vulnerability scan on a specific interface was initiated by the user via the web UI
`static java.lang.String` `START_CONTROL_EVENT_UEI` The start event
`static java.lang.String` `STATUS_QUERY_CONTROL_EVENT_UEI` The status query control event
`static java.lang.String` `STOP_CONTROL_EVENT_UEI` The stop event
`static java.lang.String` `SUSPEND_POLLING_SERVICE_EVENT_UEI` The suspend polling service event UEI
`static java.lang.String` `THRESHOLDING_FAILED_EVENT_UEI` Thresholding failed
`static java.lang.String` `THRESHOLDING_SUCCEEDED_EVENT_UEI` Thresholding succeeded
`static java.lang.String` `UPDATE_SERVER_EVENT_UEI` The update server event UEI
`static java.lang.String` `UPDATE_SERVICE_EVENT_UEI` The update service event UEI
`static java.lang.String` `XMLRPC_NOTIFICATION_EVENT_UEI` The change service event UEI
`static int` `XMLRPC_NOTIFY_FAILURE`
`static int` `XMLRPC_NOTIFY_RECEIVED` Status code used to indicate which external xmlrpc command to invoke to report the occurrence of selected events.
`static int` `XMLRPC_NOTIFY_SUCCESS`

Constructor Summary
`EventConstants()`

Method Summary
`static java.lang.String` `formatToString(java.util.Date date)` An utility method to format a 'Date' into a string in the local specific FULL DateFormat style for both the date and time.
`static java.lang.String` `formatToUIString(java.util.Date date)` Deprecated. This is no longer used by the UI. All WebUI-specific code should under the org.opennms.web packages.
`static java.util.Date` `parseToDate(java.lang.String timeString)` An utility method to parse a string into a 'Date' instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSTGRES_DATE_FORMAT

    public static final java.lang.String POSTGRES_DATE_FORMAT

  The date format string to parse a Date.toString() type string to a database timestamp using the postgres to_timestamp() built-in function.

  See Also:
    Constant Field Values

### JMS_MSG_PROP_CHAR_ENCODING

    public static final java.lang.String JMS_MSG_PROP_CHAR_ENCODING

  The string property set on JMS messages to indicate the encoding to be used

  See Also:
    Constant Field Values

### JMS_MSG_PROP_CHAR_ENCODING_VALUE

    public static final java.lang.String JMS_MSG_PROP_CHAR_ENCODING_VALUE

  The value for the string property set on JMS messages to indicate the encoding to be used

  See Also:
    Constant Field Values

### JMS_MSG_PROP_SENDER

    public static final java.lang.String JMS_MSG_PROP_SENDER

  The string property set on JMS messages to indicate the sender service

  See Also:
    Constant Field Values

### JMS_MSG_PROP_UEI_SELECTOR

    public static final java.lang.String JMS_MSG_PROP_UEI_SELECTOR

  The string property set on JMS messages broadcast from eventd - to use UEI(s) as a filter

  See Also:
    Constant Field Values

### STATUS_QUERY_CONTROL_EVENT_UEI

    public static final java.lang.String STATUS_QUERY_CONTROL_EVENT_UEI

  The status query control event

  See Also:
    Constant Field Values

### START_CONTROL_EVENT_UEI

    public static final java.lang.String START_CONTROL_EVENT_UEI

  The start event

  See Also:
    Constant Field Values

### PAUSE_CONTROL_EVENT_UEI

    public static final java.lang.String PAUSE_CONTROL_EVENT_UEI

  The pause event

  See Also:
    Constant Field Values

### RESUME_CONTROL_EVENT_UEI

    public static final java.lang.String RESUME_CONTROL_EVENT_UEI

  The resume event

  See Also:
    Constant Field Values

### STOP_CONTROL_EVENT_UEI

    public static final java.lang.String STOP_CONTROL_EVENT_UEI

  The stop event

  See Also:
    Constant Field Values

### CONTROL_START_PENDING_EVENT_UEI

    public static final java.lang.String CONTROL_START_PENDING_EVENT_UEI

  The 'start pending' response event

  See Also:
    Constant Field Values

### CONTROL_STARTING_EVENT_UEI

    public static final java.lang.String CONTROL_STARTING_EVENT_UEI

  The 'starting' response event

  See Also:
    Constant Field Values

### CONTROL_PAUSE_PENDING_EVENT_UEI

    public static final java.lang.String CONTROL_PAUSE_PENDING_EVENT_UEI

  The 'pause pending' response event

  See Also:
    Constant Field Values

### CONTROL_PAUSED_EVENT_UEI

    public static final java.lang.String CONTROL_PAUSED_EVENT_UEI

  The 'paused' response event

  See Also:
    Constant Field Values

### CONTROL_RESUME_PENDING_EVENT_UEI

    public static final java.lang.String CONTROL_RESUME_PENDING_EVENT_UEI

  The 'resume pending' response event

  See Also:
    Constant Field Values

### CONTROL_RUNNING_EVENT_UEI

    public static final java.lang.String CONTROL_RUNNING_EVENT_UEI

  The 'running' response event

  See Also:
    Constant Field Values

### CONTROL_STOP_PENDING_EVENT_UEI

    public static final java.lang.String CONTROL_STOP_PENDING_EVENT_UEI

  The 'stop pending' response event

  See Also:
    Constant Field Values

### CONTROL_STOPPED_EVENT_UEI

    public static final java.lang.String CONTROL_STOPPED_EVENT_UEI

  The 'stopped' response event

  See Also:
    Constant Field Values

### CONTROL_ERROR_EVENT_UEI

    public static final java.lang.String CONTROL_ERROR_EVENT_UEI

  The control error reponse event

  See Also:
    Constant Field Values

### NEW_SUSPECT_INTERFACE_EVENT_UEI

    public static final java.lang.String NEW_SUSPECT_INTERFACE_EVENT_UEI

  The new suspect event UEI

  See Also:
    Constant Field Values

### DISC_PAUSE_EVENT_UEI

    public static final java.lang.String DISC_PAUSE_EVENT_UEI

  The discovery pause event UEI

  See Also:
    Constant Field Values

### DISC_RESUME_EVENT_UEI

    public static final java.lang.String DISC_RESUME_EVENT_UEI

  The discovery resume event UEI

  See Also:
    Constant Field Values

### UPDATE_SERVER_EVENT_UEI

    public static final java.lang.String UPDATE_SERVER_EVENT_UEI

  The update server event UEI

  See Also:
    Constant Field Values

### UPDATE_SERVICE_EVENT_UEI

    public static final java.lang.String UPDATE_SERVICE_EVENT_UEI

  The update service event UEI

  See Also:
    Constant Field Values

### ADD_NODE_EVENT_UEI

    public static final java.lang.String ADD_NODE_EVENT_UEI

  The add node event UEI

  See Also:
    Constant Field Values

### DELETE_NODE_EVENT_UEI

    public static final java.lang.String DELETE_NODE_EVENT_UEI

  The delete node event UEI

  See Also:
    Constant Field Values

### ADD_INTERFACE_EVENT_UEI

    public static final java.lang.String ADD_INTERFACE_EVENT_UEI

  The add interface event UEI

  See Also:
    Constant Field Values

### DELETE_INTERFACE_EVENT_UEI

    public static final java.lang.String DELETE_INTERFACE_EVENT_UEI

  The delete interface event UEI

  See Also:
    Constant Field Values

### CHANGE_SERVICE_EVENT_UEI

    public static final java.lang.String CHANGE_SERVICE_EVENT_UEI

  The change service event UEI

  See Also:
    Constant Field Values

### RESTART_POLLING_INTERFACE_EVENT_UEI

    public static final java.lang.String RESTART_POLLING_INTERFACE_EVENT_UEI

  The restart polling node event UEI

  See Also:
    Constant Field Values

### XMLRPC_NOTIFICATION_EVENT_UEI

    public static final java.lang.String XMLRPC_NOTIFICATION_EVENT_UEI

  The change service event UEI

  See Also:
    Constant Field Values

### NODE_ADDED_EVENT_UEI

    public static final java.lang.String NODE_ADDED_EVENT_UEI

  The node added event UEI

  See Also:
    Constant Field Values

### NODE_GAINED_INTERFACE_EVENT_UEI

    public static final java.lang.String NODE_GAINED_INTERFACE_EVENT_UEI

  The node gained interface event UEI

  See Also:
    Constant Field Values

### NODE_GAINED_SERVICE_EVENT_UEI

    public static final java.lang.String NODE_GAINED_SERVICE_EVENT_UEI

  The node gained service event UEI

  See Also:
    Constant Field Values

### NODE_LOST_SERVICE_EVENT_UEI

    public static final java.lang.String NODE_LOST_SERVICE_EVENT_UEI

  The node lost service event UEI

  See Also:
    Constant Field Values

### SERVICE_RESPONSIVE_EVENT_UEI

    public static final java.lang.String SERVICE_RESPONSIVE_EVENT_UEI

  The service responsive event UEI

  See Also:
    Constant Field Values

### SERVICE_UNRESPONSIVE_EVENT_UEI

    public static final java.lang.String SERVICE_UNRESPONSIVE_EVENT_UEI

  The service unresponsive event UEI

  See Also:
    Constant Field Values

### SERVICE_UNMANAGED_EVENT_UEI

    public static final java.lang.String SERVICE_UNMANAGED_EVENT_UEI

  The service unmanaged event UEI

  See Also:
    Constant Field Values

### INTERFACE_DOWN_EVENT_UEI

    public static final java.lang.String INTERFACE_DOWN_EVENT_UEI

  The interface down event UEI

  See Also:
    Constant Field Values

### NODE_DOWN_EVENT_UEI

    public static final java.lang.String NODE_DOWN_EVENT_UEI

  The node down event UEI

  See Also:
    Constant Field Values

### NODE_UP_EVENT_UEI

    public static final java.lang.String NODE_UP_EVENT_UEI

  The node up event UEI

  See Also:
    Constant Field Values

### INTERFACE_UP_EVENT_UEI

    public static final java.lang.String INTERFACE_UP_EVENT_UEI

  The interface up event UEI

  See Also:
    Constant Field Values

### NODE_REGAINED_SERVICE_EVENT_UEI

    public static final java.lang.String NODE_REGAINED_SERVICE_EVENT_UEI

  The node regained service event UEI

  See Also:
    Constant Field Values

### DELETE_SERVICE_EVENT_UEI

    public static final java.lang.String DELETE_SERVICE_EVENT_UEI

  The delete service event UEI

  See Also:
    Constant Field Values

### SERVICE_DELETED_EVENT_UEI

    public static final java.lang.String SERVICE_DELETED_EVENT_UEI

  The service deleted event UEI

  See Also:
    Constant Field Values

### INTERFACE_DELETED_EVENT_UEI

    public static final java.lang.String INTERFACE_DELETED_EVENT_UEI

  The interface deleted event UEI

  See Also:
    Constant Field Values

### NODE_DELETED_EVENT_UEI

    public static final java.lang.String NODE_DELETED_EVENT_UEI

  The node deleted event UEI

  See Also:
    Constant Field Values

### LOW_THRESHOLD_EVENT_UEI

    public static final java.lang.String LOW_THRESHOLD_EVENT_UEI

  The low threshold exceeded event UEI

  See Also:
    Constant Field Values

### HIGH_THRESHOLD_EVENT_UEI

    public static final java.lang.String HIGH_THRESHOLD_EVENT_UEI

  The high threshold exceeded event UEI

  See Also:
    Constant Field Values

### HIGH_THRESHOLD_REARM_EVENT_UEI

    public static final java.lang.String HIGH_THRESHOLD_REARM_EVENT_UEI

  The high threshold rearm event UEI

  See Also:
    Constant Field Values

### LOW_THRESHOLD_REARM_EVENT_UEI

    public static final java.lang.String LOW_THRESHOLD_REARM_EVENT_UEI

  The low threshold rearm event UEI

  See Also:
    Constant Field Values

### INTERFACE_INDEX_CHANGED_EVENT_UEI

    public static final java.lang.String INTERFACE_INDEX_CHANGED_EVENT_UEI

  The interface index changed event

  See Also:
    Constant Field Values

### INTERFACE_SUPPORTS_SNMP_EVENT_UEI

    public static final java.lang.String INTERFACE_SUPPORTS_SNMP_EVENT_UEI

  The interface supports SNMP event...generated during capability rescan when an already managed interface gains SNMP support for the first time

  See Also:
    Constant Field Values

### DUPLICATE_IPINTERFACE_EVENT_UEI

    public static final java.lang.String DUPLICATE_IPINTERFACE_EVENT_UEI

  A service scan has discovered a duplicate IP address.

  See Also:
    Constant Field Values

### INTERFACE_REPARENTED_EVENT_UEI

    public static final java.lang.String INTERFACE_REPARENTED_EVENT_UEI

  The interface reparented event

  See Also:
    Constant Field Values

### NODE_INFO_CHANGED_EVENT_UEI

    public static final java.lang.String NODE_INFO_CHANGED_EVENT_UEI

  The node info changed event

  See Also:
    Constant Field Values

### INTERFACE_IP_HOSTNAME_CHANGED_EVENT_UEI

    public static final java.lang.String INTERFACE_IP_HOSTNAME_CHANGED_EVENT_UEI

  The interface IP host name changed event

  See Also:
    Constant Field Values

### NODE_LABEL_CHANGED_EVENT_UEI

    public static final java.lang.String NODE_LABEL_CHANGED_EVENT_UEI

  The node label changed event

  See Also:
    Constant Field Values

### NODE_LABEL_SOURCE_CHANGED_EVENT_UEI

    public static final java.lang.String NODE_LABEL_SOURCE_CHANGED_EVENT_UEI

  The node label source changed event

  See Also:
    Constant Field Values

### DUP_NODE_DELETED_EVENT_UEI

    public static final java.lang.String DUP_NODE_DELETED_EVENT_UEI

  The node deleted event UEI

  See Also:
    Constant Field Values

### PRIMARY_SNMP_INTERFACE_CHANGED_EVENT_UEI

    public static final java.lang.String PRIMARY_SNMP_INTERFACE_CHANGED_EVENT_UEI

  The primary SNMP interface changed event.

  See Also:
    Constant Field Values

### REINITIALIZE_PRIMARY_SNMP_INTERFACE_EVENT_UEI

    public static final java.lang.String REINITIALIZE_PRIMARY_SNMP_INTERFACE_EVENT_UEI

  The reinitialize primary SNMP interface event.

  See Also:
    Constant Field Values

### CONFIGURE_SNMP_EVENT_UEI

    public static final java.lang.String CONFIGURE_SNMP_EVENT_UEI

  The configure SNMP event.

  See Also:
    Constant Field Values

### DATA_COLLECTION_FAILED_EVENT_UEI

    public static final java.lang.String DATA_COLLECTION_FAILED_EVENT_UEI

  Collection failed

  See Also:
    Constant Field Values

### DATA_COLLECTION_SUCCEEDED_EVENT_UEI

    public static final java.lang.String DATA_COLLECTION_SUCCEEDED_EVENT_UEI

  Collection succeeded

  See Also:
    Constant Field Values

### THRESHOLDING_FAILED_EVENT_UEI

    public static final java.lang.String THRESHOLDING_FAILED_EVENT_UEI

  Thresholding failed

  See Also:
    Constant Field Values

### THRESHOLDING_SUCCEEDED_EVENT_UEI

    public static final java.lang.String THRESHOLDING_SUCCEEDED_EVENT_UEI

  Thresholding succeeded

  See Also:
    Constant Field Values

### FORCE_RESCAN_EVENT_UEI

    public static final java.lang.String FORCE_RESCAN_EVENT_UEI

  The force interface rescan event UEI

  See Also:
    Constant Field Values

### SUSPEND_POLLING_SERVICE_EVENT_UEI

    public static final java.lang.String SUSPEND_POLLING_SERVICE_EVENT_UEI

  The suspend polling service event UEI

  See Also:
    Constant Field Values

### RESUME_POLLING_SERVICE_EVENT_UEI

    public static final java.lang.String RESUME_POLLING_SERVICE_EVENT_UEI

  The resume polling service event UEI

  See Also:
    Constant Field Values

### SNMP_CONFLICTS_WITH_DB_EVENT_UEI

    public static final java.lang.String SNMP_CONFLICTS_WITH_DB_EVENT_UEI

  The snmp conflicts with db UEI

  See Also:
    Constant Field Values

### RTC_SUBSCRIBE_EVENT_UEI

    public static final java.lang.String RTC_SUBSCRIBE_EVENT_UEI

  The RTC subscribe event

  See Also:
    Constant Field Values

### RTC_UNSUBSCRIBE_EVENT_UEI

    public static final java.lang.String RTC_UNSUBSCRIBE_EVENT_UEI

  The RTC unsubscribe event

  See Also:
    Constant Field Values

### SERVICE_STATUS_UNKNOWN

    public static final java.lang.String SERVICE_STATUS_UNKNOWN

  A service poll returned an unknown status (due to a problem getting poll information)

  See Also:
    Constant Field Values

### NOTIFICATION_WITHOUT_USERS

    public static final java.lang.String NOTIFICATION_WITHOUT_USERS

  Notification without users event

  See Also:
    Constant Field Values

### SPECIFIC_VULN_SCAN_EVENT_UEI

    public static final java.lang.String SPECIFIC_VULN_SCAN_EVENT_UEI

  A vulnerability scan on a specific interface was initiated by the user via the web UI

  See Also:
    Constant Field Values

### ASSET_INFO_CHANGED_EVENT_UEI

    public static final java.lang.String ASSET_INFO_CHANGED_EVENT_UEI

  An event to signal that a user has changed asset information via the web UI

  See Also:
    Constant Field Values

### SCHEDOUTAGES_CHANGED_EVENT_UEI

    public static final java.lang.String SCHEDOUTAGES_CHANGED_EVENT_UEI

  The scheduled-outages configuration was changed by the user via the web UI (or manually, for that matter)

  See Also:
    Constant Field Values

### PARM_NODE_SYSNAME

    public static final java.lang.String PARM_NODE_SYSNAME

  The nodeSysName from the node table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_NODE_SYSDESCRIPTION

    public static final java.lang.String PARM_NODE_SYSDESCRIPTION

  The nodeSysDescription from the node table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_NODE_SYSOID

    public static final java.lang.String PARM_NODE_SYSOID

  The nodeSysOid from the node table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_NODE_SYSLOCATION

    public static final java.lang.String PARM_NODE_SYSLOCATION

  The nodeSysLocation from the node table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_NODE_SYSCONTACT

    public static final java.lang.String PARM_NODE_SYSCONTACT

  The nodeSysContact from the node table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_IP_HOSTNAME

    public static final java.lang.String PARM_IP_HOSTNAME

  The ipHostName from the ipinterface table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_OLD_IP_HOSTNAME

    public static final java.lang.String PARM_OLD_IP_HOSTNAME

  The original ipHostName from the ipinterface table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_METHOD

    public static final java.lang.String PARM_METHOD

  Name of the method of discovery when sent as an event parm

  See Also:
    Constant Field Values

### PARM_INTERFACE

    public static final java.lang.String PARM_INTERFACE

  The interface sent as a parm of an event

  See Also:
    Constant Field Values

### PARM_ACTION

    public static final java.lang.String PARM_ACTION

  The action sent as a parm of an event

  See Also:
    Constant Field Values

### PARM_DPNAME

    public static final java.lang.String PARM_DPNAME

  The DPName sent as a parm of an event

  See Also:
    Constant Field Values

### PARM_OLD_NODEID

    public static final java.lang.String PARM_OLD_NODEID

  The old nodeid sent as a parm of the 'interfaceReparented' event

  See Also:
    Constant Field Values

### PARM_NEW_NODEID

    public static final java.lang.String PARM_NEW_NODEID

  The new nodeid sent as a parm of the 'interfaceReparented' event

  See Also:
    Constant Field Values

### PARM_OLD_IFINDEX

    public static final java.lang.String PARM_OLD_IFINDEX

  The old ifIndex value sent as a parm of the 'interfaceIndexChanged' event

  See Also:
    Constant Field Values

### PARM_NEW_IFINDEX

    public static final java.lang.String PARM_NEW_IFINDEX

  The new ifIndex value sent as a parm of the 'interfaceIndexChanged' event

  See Also:
    Constant Field Values

### PARM_NODE_LABEL

    public static final java.lang.String PARM_NODE_LABEL

  The nodeLabel from the node table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_NODE_LABEL_SOURCE

    public static final java.lang.String PARM_NODE_LABEL_SOURCE

  The nodeLabelSource from the node table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_OLD_NODE_LABEL

    public static final java.lang.String PARM_OLD_NODE_LABEL

  The oldNodeLabel sent as a parm of an event

  See Also:
    Constant Field Values

### PARM_OLD_NODE_LABEL_SOURCE

    public static final java.lang.String PARM_OLD_NODE_LABEL_SOURCE

  The oldNodeLabelSource sent as a parm of an event

  See Also:
    Constant Field Values

### PARM_NEW_NODE_LABEL

    public static final java.lang.String PARM_NEW_NODE_LABEL

  The newNodeLabel sent as a parm of an event

  See Also:
    Constant Field Values

### PARM_NEW_NODE_LABEL_SOURCE

    public static final java.lang.String PARM_NEW_NODE_LABEL_SOURCE

  The newNodeLabelSource sent as a parm of an event

  See Also:
    Constant Field Values

### PARM_NODE_NETBIOS_NAME

    public static final java.lang.String PARM_NODE_NETBIOS_NAME

  The nodeNetbiosName field from the node table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_NODE_DOMAIN_NAME

    public static final java.lang.String PARM_NODE_DOMAIN_NAME

  The nodeDomainName field from the node table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_NODE_OPERATING_SYSTEM

    public static final java.lang.String PARM_NODE_OPERATING_SYSTEM

  The operatingSystem field from the node table when sent as an event parm

  See Also:
    Constant Field Values

### PARM_OLD_PRIMARY_SNMP_ADDRESS

    public static final java.lang.String PARM_OLD_PRIMARY_SNMP_ADDRESS

  The old value of the primarySnmpInterface field of the ipInterface table when sent as an event parm.

  See Also:
    Constant Field Values

### PARM_NEW_PRIMARY_SNMP_ADDRESS

    public static final java.lang.String PARM_NEW_PRIMARY_SNMP_ADDRESS

  The new value of the primarySnmpInterface field of the ipInterface table when sent as an event parm.

  See Also:
    Constant Field Values

### PARM_FIRST_IP_ADDRESS

    public static final java.lang.String PARM_FIRST_IP_ADDRESS

  The first IP address in a range of IP addresses when sent as an event parm.

  See Also:
    Constant Field Values

### PARM_LAST_IP_ADDRESS

    public static final java.lang.String PARM_LAST_IP_ADDRESS

  The last IP address in a range of IP addresses when sent as an event parm.

  See Also:
    Constant Field Values

### PARM_COMMUNITY_STRING

    public static final java.lang.String PARM_COMMUNITY_STRING

  The SNMP community string when sent as an event parm.

  See Also:
    Constant Field Values

### PARM_QUALIFIER

    public static final java.lang.String PARM_QUALIFIER

  Service monitor qualifier when sent as an event parm

  See Also:
    Constant Field Values

### PARM_URL

    public static final java.lang.String PARM_URL

  The URL to which information is to be sent, sent as a parm to the rtc subscribe and unsubscribe events

  See Also:
    Constant Field Values

### PARM_CAT_LABEL

    public static final java.lang.String PARM_CAT_LABEL

  The category for which information is to be sent, sent as a parm to the rtc subscribe event

  See Also:
    Constant Field Values

### PARM_USER

    public static final java.lang.String PARM_USER

  The username when sent as a parameter(like for the rtc subscribe)

  See Also:
    Constant Field Values

### PARM_PASSWD

    public static final java.lang.String PARM_PASSWD

  The passwd when sent as a parameter(like for the rtc subscribe)

  See Also:
    Constant Field Values

### PARM_SERVICE_STATUS

    public static final java.lang.String PARM_SERVICE_STATUS

  The status of a service as returned from a service monitor

  See Also:
    Constant Field Values

### PARM_TRANSACTION_NO

    public static final java.lang.String PARM_TRANSACTION_NO

  The external transaction number of an event to process.

  See Also:
    Constant Field Values

### PARM_SOURCE_EVENT_UEI

    public static final java.lang.String PARM_SOURCE_EVENT_UEI

  The uei of a source event to report to external xmlrpc server.

  See Also:
    Constant Field Values

### PARM_SOURCE_EVENT_MESSAGE

    public static final java.lang.String PARM_SOURCE_EVENT_MESSAGE

  The message to explain a source event.

  See Also:
    Constant Field Values

### PARM_SOURCE_EVENT_STATUS

    public static final java.lang.String PARM_SOURCE_EVENT_STATUS

  The status to indicate which kind of external xmlrpc command to invoke.

  See Also:
    Constant Field Values

### XMLRPC_NOTIFY_RECEIVED

    public static final int XMLRPC_NOTIFY_RECEIVED

  Status code used to indicate which external xmlrpc command to invoke to report the occurrence of selected events.

  See Also:
    Constant Field Values

### XMLRPC_NOTIFY_SUCCESS

    public static final int XMLRPC_NOTIFY_SUCCESS

See Also:
  Constant Field Values

### XMLRPC_NOTIFY_FAILURE

    public static final int XMLRPC_NOTIFY_FAILURE

See Also:
  Constant Field Values

### PARM_VERSION

    public static final java.lang.String PARM_VERSION

See Also:
  Constant Field Values

### PARM_TIMEOUT

    public static final java.lang.String PARM_TIMEOUT

See Also:
  Constant Field Values

### PARM_RETRY_COUNT

    public static final java.lang.String PARM_RETRY_COUNT

See Also:
  Constant Field Values

### PARM_PORT

    public static final java.lang.String PARM_PORT

See Also:
  Constant Field Values

Constructor Detail

### EventConstants

    public EventConstants()

Method Detail

### parseToDate

    public static final java.util.Date parseToDate(java.lang.String timeString)
                                            throws java.text.ParseException

  An utility method to parse a string into a 'Date' instance. Note that the string should be in the locale specific DateFormat.FULL style for both the date and time.

  Throws:
    `java.text.ParseException`
  See Also:
    `DateFormat`

### formatToString

    public static final java.lang.String formatToString(java.util.Date date)

  An utility method to format a 'Date' into a string in the local specific FULL DateFormat style for both the date and time.

  See Also:
    `DateFormat`

### formatToUIString

    public static final java.lang.String formatToUIString(java.util.Date date)

  Deprecated. This is no longer used by the UI. All WebUI-specific code should under the org.opennms.web packages.

  An utility method to format a 'Date' into a string in the local specific DEFALUT DateFormat style for both the date and time. This is used by the webui and a change here should get all time display in the webui changed.

  See Also:
    `DateFormat`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.